name: mutable-mamba
base: core18
version: 0.1+hg588  # TODO: Automate
summary: Mutable Mamba is a snake game with a difference
description: |
 A game about a mutable mamba in the spirit of the classic snakes games.
 Mutable Mamba was a PyWeek.org entry, a game written in a week.
license: MIT

grade: stable
confinement: strict

parts:
  game:
    plugin: python
    python-version: python2
    source: .
    stage-packages:
      - libslang2
      - python-numpy
      - python-pygame

  launcher:
    plugin: dump
    source-type: local
    source: snap/local
    stage:
      - mutable-mamba.desktop

apps:
  mutable-mamba:
    command: bin/mamba
    desktop: mutable-mamba.desktop
    environment:
      LD_LIBRARY_PATH: "$LD_LIBRARY_PATH:$SNAP/usr/lib/$SNAPCRAFT_ARCH_TRIPLET/pulseaudio"
    plugs:
      - audio-playback
      - x11
